=== debian/changelog ===
broccoli (1.97-3) unstable; urgency=medium

  * Fix FTBFS with OpenSSL built without SSLv3 support (Closes: #804104)

 -- Hilko Bengen <bengen@debian.org>  Thu, 05 Nov 2015 18:29:11 +0100

broccoli (1.97-2) unstable; urgency=medium

  * Add missing dependencies to -dev package

 -- Hilko Bengen <bengen@debian.org>  Sat, 31 Oct 2015 17:22:37 +0100

broccoli (1.97-1) unstable; urgency=low

  * Initial release (Closes: #803570)

 -- Hilko Bengen <bengen@debian.org>  Sat, 31 Oct 2015 17:01:44 +0100
