=== debian/control ===
Source: broccoli
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9),
 cmake,
 flex,
 bison,
 libssl-dev,
 libpcap-dev,
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.bro.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/broccoli.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/broccoli.git;a=summary

Package: libbroccoli-dev
Section: libdevel
Architecture: any
Depends: libbroccoli5 (= ${binary:Version}), ${misc:Depends},
 libssl-dev, libpcap-dev,
Description: Bro client communications library -- headers and static libraries
 This package contains the development environment for the "Broccoli" library.

Package: libbroccoli5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Bro client communications library
 Broccoli is the "Bro client communications library". It allows you to
 create client sensors for the Bro intrusion detection system.
 Broccoli can speak a good subset of the Bro communication protocol,
 in particular, it can receive Bro IDs, send and receive Bro events,
 and send and receive event requests to/from peering Bros. You can
 currently create and receive values of pure types like integers,
 counters, timestamps, IP addresses, port numbers, booleans, and
 strings.
