=== debian/changelog ===
broccoli (1.99-1) unstable; urgency=medium

  * New upstream version
  * Update watch file
  * Drop patches that have been integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Nov 2016 10:30:12 +0100

broccoli (1.97-4) unstable; urgency=medium

  * Added patch by Chris Lamb to make the build reproducible
    (Closes: #835495)
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Aug 2016 13:01:33 +0200
