=== debian/changelog ===
broccoli (1.100-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:43 +0000

broccoli (1.100-1) unstable; urgency=medium

  * New upstream version 1.100

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Jul 2017 21:32:01 +0200
