=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: broccoli
 Priority: optional
-Maintainer: Hilko Bengen <bengen@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 9),
  cmake,
  flex,
  bison,
  libssl-dev,
  libpcap-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.bro.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/broccoli.git
